<template>
  <BlogListArticles :current="0" :total="total" :articles="articles" />
</template>

<script lang="ts">
import Vue from 'vue'
import BlogListArticles from '~/components/blog/BlogListArticles.vue'
import { ArticleService } from '~/services/article.service'
import { IArticle } from '~/models/IArticle'

export default Vue.extend({
  components: { BlogListArticles },
  async asyncData ({ $content }) {
    const service = new ArticleService($content)
    const total = await service.nbPages()
    const page = 1
    const articles = await service.load(0)

    return {
      articles,
      total,
      page
    }
  },
  data () {
    const articles: IArticle[] = []
    const total: number = 0
    const page: number = 1
    return {
      articles,
      total,
      page
    }
  },
  head () {
    return {
      title: 'Le Blog - Vincent PECQUERIE - Portfolio',
      meta: [
        {
          hid: 'description',
          name: 'description',
          content: 'Le Blog: quelques articles relatifs à la tech ou autre - Vincent PECQUERIE - Développeur Web, Mobile et aspirant DevOps sur Rouen ou partout ailleurs en télétravail'
        },
        {
          hid: 'twitter:description',
          name: 'twitter:description',
          content: 'Le Blog: quelques articles relatifs à la tech ou autre - Vincent PECQUERIE - Développeur Web, Mobile et aspirant DevOps sur Rouen ou partout ailleurs en télétravail'
        },
        {
          hid: 'og:description',
          name: 'og:description',
          content: 'Le Blog: quelques articles relatifs à la tech ou autre - Vincent PECQUERIE - Développeur Web, Mobile et aspirant DevOps sur Rouen ou partout ailleurs en télétravail'
        }
      ]
    }
  }
})
</script>
